DRM_MODESET_BACKOFF(9)

NAME
drm_modeset_backoff - deadlock avoidance backoff

SYNOPSIS

void drm_modeset_backoff(struct drm_modeset_acquire_ctx * ctx);

ARGUMENTS

ctx
    the acquire context

DESCRIPTION

If deadlock is detected (ie. drm_modeset_lock returns -EDEADLK), you must call this function to drop all currently held locks and block until the contended lock becomes available.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT